<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
$now = time( );
$vposts = $login['vposts'];
$qu = @mysql_query( "select * from vict1 where id='1'" );
$vict1 = @mysql_fetch_array( @$qu );
$answer = $vict1['answered'];
$time = $vict1['time'];
$ov = $vict1['msg'];
$vopros = $vict1['vopros'];
if ( $now < $time + 120 )
{
if ( $vopros && $time + 60 < $now )
{
$psk = substr( $answer, 0, 2 );
$psk = "Чё ебланчики?Тормозите?<font color=\"#00FFFF\"> даю наводку: </font><b>{$psk}</b>";
@mysql_query( @"update vict1 set  msg='{$ov}<br/>{$psk}...',vopros='0' where id='1'" );
}
$vposts = $row['vposts'];
$vposts = $vposts + 1;
if ( $answer == $msg && !empty( $answer ) )
{
mysql_query( "Update users set vposts='".$vposts."' where id ='".$id."'" );
$vpr = "Точно бля: <b>".$msg."</b>!<br/>\r\n <font color=\"lightblue\">круто</font> &nbsp;\t<b><i>".$row['login']."</i></b>\r\r\n\t</b>&nbsp; <font color=\"lightblue\">мозги у тя варят</font>, эт твой&nbsp;<b><font size=\"3\" color=\"black\">{$vposts}-й</font></b> ответ на вопрос!<img src=\"/sm/banan.gif\" alt=\".\"/>";
@mysql_query( @"update vict1 set  msg='{$vpr}',vopros='0', answered='', time='".( @$now - 110 )."' where id='1'" );
}
}
else
{
$gg = gzfile( "./gg.gz" );
$rn = rand( 0, count( $gg ) - 1 );
$data = explode( "::", $gg[$rn] );
$nv = trim( $data[0] );
$answer = trim( $data[1] );
$len = strlen( $answer ) / 2;
@mysql_query( @"update vict1 set  msg='{$nv} ({$len} букв)',vopros='1', answered='{$answer}', time='".@time( )."' where id='1'" );
}
$qu = @mysql_query( "select msg,time from vict1 where id='1'" );
$vict1 = @mysql_fetch_array( @$qu );
$utime = $vict['time'];
print "<br/><div><b><u><font color=\"#00FFFF\">ШМАРА :)</font></u></b> [".date( "H.i", $utime )."]&gt;<br/>".$vict1['msg']."</div>";
?>